> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Portfolio Group Monitoring Policy

> Update the monitoring policy for a portfolio group.



## OpenAPI

````yaml /api-reference/openapi.json put /portfolio/groups/{group_id}/monitoring_policy
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /portfolio/groups/{group_id}/monitoring_policy:
    put:
      tags:
        - Portfolio Monitoring
      summary: Update Portfolio Group Monitoring Policy
      description: Update the monitoring policy for a portfolio group.
      operationId: >-
        update_portfolio_group_monitoring_policy_portfolio_groups__group_id__monitoring_policy_put
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Group Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1.CreateMonitoringPolicyRequest'
          application/vnd.baselayer.v1+json:
            schema:
              $ref: '#/components/schemas/v1.CreateMonitoringPolicyRequest'
        required: true
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.MonitoringPolicyResponse'
            application/vnd.baselayer.v1+json:
              schema:
                $ref: '#/components/schemas/v1.MonitoringPolicyResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.CreateMonitoringPolicyRequest:
      additionalProperties: false
      description: Request model for creating or updating a monitoring policy.
      properties:
        enabled:
          default: true
          description: Whether the monitoring policy should be enabled.
          title: Enabled
          type: boolean
        cadence:
          $ref: '#/components/schemas/v1.MonitoringCadence'
          description: The monitoring cadence (daily, weekly, monthly, yearly).
          examples:
            - daily
            - weekly
            - monthly
            - yearly
        attributes:
          default: []
          description: >-
            List of attributes to monitor (liens, litigations, bankruptcies,
            etc.).
          examples:
            - - liens
              - litigations
            - - website_analysis
              - ofac
          items:
            $ref: '#/components/schemas/v1.MonitorableAttributes'
          title: Attributes
          type: array
        lien_monitoring_scope:
          $ref: '#/components/schemas/v1.LienMonitoringScope'
          default: domestic
          description: The scope of lien monitoring (domestic or registered).
          examples:
            - domestic
            - registered
      required:
        - cadence
      title: CreateMonitoringPolicyRequest (v1)
      type: object
    v1.MonitoringPolicyResponse:
      description: >-
        Represents a monitoring policy response.


        This representation is designed for use in the singleton resource API
        representations.

        Note that `id`, `group_id`, and `item_id` are not included in this
        representation.

        This is to avoid confusion when API resource inheritance is in effect.
      properties:
        cadence:
          $ref: '#/components/schemas/v1.MonitoringCadence'
          description: The monitoring cadence (e.g., 'daily', 'weekly', 'monthly').
        attributes:
          default: []
          description: The attributes to monitor.
          items:
            $ref: '#/components/schemas/v1.MonitorableAttributes'
          title: Attributes
          type: array
        lien_monitoring_scope:
          $ref: '#/components/schemas/v1.LienMonitoringScope'
          description: The scope of lien monitoring.
        enabled:
          description: Whether the monitoring policy is enabled.
          title: Enabled
          type: boolean
        last_run_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: When the notification policy was last executed.
          title: Last Run At
        next_run_on:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          default: null
          description: When the notification policy is scheduled to run next.
          title: Next Run On
        inherited_from:
          anyOf:
            - $ref: '#/components/schemas/v1.InheritedFrom'
            - type: 'null'
          default: null
          description: >-
            Indicates where this policy was inherited from (e.g., 'portfolio',
            'group', or None for direct).
      required:
        - cadence
        - lien_monitoring_scope
        - enabled
      title: MonitoringPolicyResponse (v1)
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.MonitoringCadence:
      description: The cadence of monitoring.
      enum:
        - daily
        - weekly
        - biweekly
        - monthly
        - quarterly
        - biannually
        - annually
      title: MonitoringCadence
      type: string
    v1.MonitorableAttributes:
      description: The attributes that can be monitored.
      enum:
        - sos
        - liens
        - litigations
        - bankruptcies
        - website_analysis
        - pep
        - ofac
        - identity_network
      title: MonitorableAttributes
      type: string
    v1.LienMonitoringScope:
      description: >-
        The scope of states that will be monitored for liens.


        When the scope is "domestic", the policy will monitor liens for the
        state
            of the domestic registration.
        When the scope is "registered", the policy will monitor liens for the
        states
            of all registrations.
      enum:
        - domestic
        - registered
      title: LienMonitoringScope
      type: string
    v1.InheritedFrom:
      enum:
        - portfolio
        - group
      title: InheritedFrom
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````